#loader {
  z-index: map-get($z-index, 'loading-wheel');
  width: 100%;
  height: 100%;
  position: fixed;
  left: 0;
  top: 0;
  @include _curtainToggleAnimation(0, .1s, '-in', 'Y');
}

.spinner {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  @include _align-flex(center, center);

  background: rgba(0, 0, 0, 0.8);

  .spinner-inner {
    text-align: center;

    p {
      @include _font-headline('regular', $color_white);
      @include _font-size($font-size-5);
    }
  }
}

/* Animation */
.spinner-inner > div {
  width: 18px;
  height: 18px;
  background-color: $color_1;

  border-radius: 100%;
  display: inline-block;
  animation: _bouncedelay 1.4s infinite ease-in-out;
  animation-fill-mode: both;
}

.spinner-inner .bounce1 {
  animation-delay: -0.32s;
}

.spinner-inner .bounce2 {
  animation-delay: -0.16s;
}